<?php

/**
 * Carerix Wordpress Plugin
 *
 * @category settings
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Jul 25, 2013 12:36:29 PM
 * @version $Rev$
 */


/**
 * Constants class
 * Used to constant
 */
class WP_Constants {
	const CAPABILITY_ADMIN = 'administrator';
	const META_KEY_PREFIX = '_carerix_';
    const CARERIX_USER_NICENAME = '- Carerix -';
	const ENTITY_TYPE_CANDIDATE = 'candidate';
	const ENTITY_TYPE_COMPANY = 'company';
	const ENTITY_TYPE_JOB = 'job';
	const ENTITY_TYPE_NEWSLETTER = 'newsletter';
	const ENTITY_TYPE_ARTICLE = 'article';
	const ENTITY_TYPE_PEOPLE = 'people';
	const ENTITY_TYPE_PROMOTIONAL = 'promotional';
	
	const ENTITY_TYPE_FORM_APPLY = 'apply';
	
	const CARERIX_API_ENDPOINT = 'https://api.carerix.com';
	
	const DEFAULT_LANGUAGE_CODE = 'en-GB';
	
	const DEFAULT_APPLY_PAGE_MARKER = '_apply_default_page';
	
	const DOMAIN_URL_TEMPLATE = 'https://[appname].carerix.com';
	
	const FEED_JOBS = 'cxtools/wp_feed.php';
	const FEED_CANDIDATES = 'cxtools/wp_feed_candidates.php';
	const FEED_PEOPLE = 'cxtools/wp_feed_people.php';
	const FEED_COMPANIES = 'cxtools/wp_feed_companies.php';
	const FEED_NEWSLETTERS = 'cxtools/wp_feed_newsletters.php';
    
    const FEED_RSS_FEED = 'cxtools/RSS.php';
    // 8 * 60 * 60 = 8 hours
    const SYNC_WARNING_TIME = 28800;
    
    const TAXONOMY_COUNTRY = 'country';
    const TAXONOMY_COUNTRY_SLUG = 'countries';
    
    const TAXONOMY_REGION = 'region';
    const TAXONOMY_REGION_SLUG = 'regions';
    
    const TAXONOMY_WORKLOCATION = 'worklocation';
    const TAXONOMY_WORKLOCATION_SLUG = 'work_locations';
    
    const TAXONOMY_EDUCATION = 'education';
    const TAXONOMY_EDUCATION_SLUG = 'educations';
    
    const TAXONOMY_FUNCTIONGROUP = 'functiongroups';
    const TAXONOMY_FUNCTIONGROUP_SLUG = 'functiongroups';
    
    const TAXONOMY_FUNCTION = 'functions';
    const TAXONOMY_FUNCTION_SLUG = 'functions';
    
    const TAXONOMY_WORKLEVEL = 'worklevels';
    const TAXONOMY_WORKLEVEL_SLUG = 'worklevels';
    
    const TAXONOMY_PROCEDURE = 'procedure';
    const TAXONOMY_PROCEDURE_SLUG = 'procedure';
    
    const TAXONOMY_CANDIDATE_EDUCATION_LEVEL_1 = 'candidate-education-level1';
    const TAXONOMY_CANDIDATE_EDUCATION_LEVEL_1_SLUG = 'candidate_education_level_1';
    
    const TAXONOMY_CANDIDATE_EDUCATION_LEVEL_2 = 'candidate-education-level2';
    const TAXONOMY_CANDIDATE_EDUCATION_LEVEL_2_SLUG = 'candidate_education_level_2';

    const TAXONOMY_CANDIDATE_EDUCATION_LEVEL_3 = 'candidate-education-level3';
    const TAXONOMY_CANDIDATE_EDUCATION_LEVEL_3_SLUG = 'candidate_education_level_3';
    
    const TAXONOMY_CANDIDATE_LAND = 'candidate-land';
    const TAXONOMY_CANDIDATE_LAND_SLUG = 'candidate_countries';
    
    const TAXONOMY_CANDIDATE_REGION = 'candidate-region';
    const TAXONOMY_CANDIDATE_REGION_SLUG = 'candidate_regions';
    
    
    
    // for keeping inside 30 secs maximum time of execution
    const NR_OF_ITEMS = 10;
}